/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.extractors.clearquest;


import java.io.IOException;

public class WrapperTester {

	/**
	 * @param args
	 */
	public static void main(String[] args){
		// Metodo di test per il CQWrapper
		
		//String problem = "<entities><entity name=\"Problem\"><attribute name=\"id\"/><attribute name=\"Urgency\"/><attribute name=\"SubmitDate\"/><attribute name=\"FoundInRelease\"/><attribute name=\"FoundInPhase\"/><attribute name=\"Severity\"/><attribute name=\"System\"/><attribute name=\"Version\"/><attribute name=\"Call\" reflist=\"yes\"/><attribute name=\"State\"/><attribute name=\"ChangeRequest\" reflist=\"list\"/><attribute name=\"LastUpdate\"/><attribute name=\"ClosureDate\"/></entity></entities>\n";
        //String risk = "<entities><entity name=\"Risk\"><attribute name=\"id\"/><attribute name=\"EffectiveResolutionDate\"/><attribute name=\"TargetResolutionDate\"/><attribute name=\"MitigationActions\" reflist=\"yes\"/><attribute name=\"Standing\"/><attribute name=\"Typology\"/><attribute name=\"System\"/><attribute name=\"Probability\"/><attribute name=\"Impact\"/><attribute name=\"Typology_subcat\"/><attribute name=\"LastUpdate\"/></entity></entities>\n";
        //String workOrder = "<entities><entity name=\"Work_Order\"><attribute name=\"id\"/><attribute name=\"WorkOfferRejectDate\"/><attribute name=\"WorkOfferAcceptDate\"/><attribute name=\"SLARespected\"/><attribute name=\"RequestFormSendDate\"/><attribute name=\"WorkOfferSendDate\"/><attribute name=\"System\"/><attribute name=\"Type\"/><attribute name=\"WOId\"/><attribute name=\"PlannedDeliveryDate\"/><attribute name=\"FirstDeliveryDate\"/><attribute name=\"LastUpdate\"/><attribute name=\"LastDeliveryDate\"/></entity></entities>\n";
        
		String workOrder = "<entities><entity name=\"WorkOrder\">" +
				"<attribute name=\"id\"/>" +
				"<attribute name=\"System\"/>" +
				"<attribute name=\"RequestFormSendDate\"/>" +
				"<attribute name=\"WorkOfferRejectedDate\"/>" +
				"<attribute name=\"WorkOfferApprovedDate\"/>" +
				"<attribute name=\"WorkOfferDeliveredDate\"/>" +
				"<attribute name=\"AmendmentSendDate\"/>" +
				"<attribute name=\"PlannedDeliveryDate\"/>" +
				"<attribute name=\"LastDeliveryDate\"/>" +
				"<attribute name=\"LastUpdate\"/>" +
				"</entity></entities>\n";
		
		String problem = "<entities><entity name=\"Problem\">" +
				"<attribute name=\"id\"/>" +
				"<attribute name=\"System\"/>" +
				"<attribute name=\"Severity\"/>" +
				"<attribute name=\"Urgency\"/>" +
				"<attribute name=\"SubmitDate\"/>" +
				"<attribute name=\"ExcludeFromSLA\"/>" +
				"<attribute name=\"Environment\"/>" +
				"<attribute name=\"CloseDate\"/>" +
				"<attribute name=\"FoundInRelease\"/>" +
				"<attribute name=\"LastUpdate\"/>" +
				"</entity></entities>\n";
		
		String action = "<entities><entity name=\"Action\">" +
				"<attribute name=\"id\"/>" +
				"<attribute name=\"CloseDate\"/>" +
				"<attribute name=\"Environment\"/>" +
				"<attribute name=\"RequestedForDate\"/>" +
				"<attribute name=\"LastUpdate\"/>" +
				"</entity></entities>\n";
		
		String risk = "<entities><entity name=\"Risk\">" +
        		"<attribute name=\"id\"/>" +
        		"<attribute name=\"System\"/>" +
        		"<attribute name=\"CloseDate\"/>" +
        		"<attribute name=\"Target_Date\"/>" +
        		"<attribute name=\"MitigationActions\" reflist=\"list\"/>" +
        		"<attribute name=\"LastUpdate\"/>" +
        		"</entity></entities>\n";

		String riskMitigationAction = "<entities><entity name=\"RiskMitigationAction\">" +
				"<attribute name=\"id\"/>" +
				"<attribute name=\"CloseDate\"/>" +
				"<attribute name=\"Target_Date\"/>" +
				"<attribute name=\"LastUpdate\"/>" +
				"</entity></entities>\n";

		String holiday = "<entities><entity name=\"Holiday\">" +
				"<attribute name=\"Date\"/>" +
				"<attribute name=\"Name\"/>" +
				"<attribute name=\"LastUpdate\">" +
					"<filter operation=\"GTE\" value=\"2009-06-22 17:00:34\" />" +
				"</attribute>" +
				"</entity></entities>\n";
        
        try {
        	CQWrapper wrapper = new CQWrapper();
        	
        	// Definizione parametri di connessione (Opzionale)
        	wrapper.setHost("localhost");
        	wrapper.setPort(7070);
        	wrapper.setTimeout(2000);
        	
//        	String workOrderOut = wrapper.getQueryResult(workOrder);
//        	System.out.println ("WORK ORDER");
//        	System.out.println (workOrderOut);
//        	
//        	String problemOut = wrapper.getQueryResult(problem);
//        	System.out.println ("PROBLEM:");
//        	System.out.println (problemOut);
//
//        	String actionOut = wrapper.getQueryResult(action);
//        	System.out.println ("ACTION:");
//        	System.out.println (actionOut);

        	String riskOut = wrapper.getQueryResult(risk);
        	System.out.println ("RISK:");
        	System.out.println (riskOut);
       	
        	String riskMitigationActionOut = wrapper.getQueryResult(riskMitigationAction);
        	System.out.println ("RISK MITIGATION ACTION:");
        	System.out.println (riskMitigationActionOut);

//        	String holidayOut = wrapper.getQueryResult(holiday);
//        	System.out.println ("HOLIDAY:");
//        	System.out.println (holidayOut);
        	

        	
        }
        catch (IOException e){
        	System.out.println("IO Error:" + e.getStackTrace() +  e.getLocalizedMessage());
        }
        catch (InterruptedException e){
        	System.out.println("Interrupted Error:" + e.getStackTrace());
        }
		
	}

}
