/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.extractors.clearquest;

import java.util.ArrayList;
import java.util.List;

public class AttributeElement {
	private List<Attribute> attributes;
	private List<Attribute> filterAttributes;

	private static final String FILTER_OPERATION = "operation";
	private static final String FILTER_VALUE = "value";

	public AttributeElement() {
		attributes = new ArrayList<Attribute>();
		filterAttributes = new ArrayList<Attribute>();
	}

	public void setAttribute(String key, String value) {
		attributes.add(new Attribute(key, value));
	}

	@Override
	public String toString() {
		String toReturn = "<attribute ";
		for (Attribute attribute : attributes) {
			toReturn += attribute.getKey() + "=\"" + attribute.getValue()
					+ "\" ";
		}
		toReturn += ">";
		toReturn += printFilter();
		toReturn += "</attribute>";
		return toReturn;
	}

	private String printFilter() {
		String toReturn = "";
		if (filterAttributes != null && filterAttributes.size() > 0) {
			toReturn += "<filter ";
			for (Attribute filterAttribute : filterAttributes) {
				toReturn += filterAttribute.getKey() + "=\""
						+ filterAttribute.getValue() + "\" ";
			}
			toReturn += "/>";
		}

		return toReturn;
	}

	public void setFilter(String operationFilter, String operationFilterValue) {
		if (operationFilter != null && operationFilterValue != null) {
			filterAttributes.add(new Attribute(FILTER_OPERATION,
					operationFilter));
			filterAttributes.add(new Attribute(FILTER_VALUE,
					operationFilterValue));
		}
	}
}
